Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225764 - Merge Review: fonts-ISO8859-2
Summary: Merge Review: fonts-ISO8859-2
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 491976
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 18:39 UTC by Nobody's working on this, feel free to take it
Modified: 2010-05-20 10:06 UTC (History)
6 users (show)

Fixed In Version: iso8859-2-fonts-1.0-24.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-20 10:06:14 UTC
tagoh: fedora-review+
huzaifas: fedora-cvs+


Attachments (Terms of Use)
This is modified spec file for fonts-ISO8859-2.spec (deleted)
2008-12-18 09:25 UTC, Parag AN(पराग)
no flags Details
This is modified spec file for fonts-ISO8859-2.spec (deleted)
2008-12-18 09:27 UTC, Parag AN(पराग)
no flags Details
build.log (deleted)
2010-05-13 12:24 UTC, Akira TAGOH
no flags Details

Description Nobody's working on this, feel free to take it 2007-01-31 18:39:14 UTC
Fedora Merge Review: fonts-ISO8859-2

http://cvs.fedora.redhat.com/viewcvs/devel/fonts-ISO8859-2/
Initial Owner: majain@redhat.com

Comment 1 Parag AN(पराग) 2007-09-07 08:31:40 UTC
I think Jens can be good Reviewer for this package. 
Removing myself from review.

Comment 2 Parag AN(पराग) 2008-12-18 09:23:24 UTC
I am not able to verify upstream source as source URL is not working. Not sure what we can do where upstream is no longer available for older packages.

Comment 3 Parag AN(पराग) 2008-12-18 09:25:42 UTC
Created attachment 327310 [details]
This is modified spec file for fonts-ISO8859-2.spec

Comment 4 Parag AN(पराग) 2008-12-18 09:27:11 UTC
Created attachment 327312 [details]
This is modified spec file for fonts-ISO8859-2.spec

Comment 5 Parag AN(पराग) 2008-12-19 05:29:05 UTC
Rahul, 
   Can you apply new spec in rawhide with excluding -f to fc-cache as its not needed?

Comment 6 Parag AN(पराग) 2009-02-03 14:36:48 UTC
Almost more than one month no response from package maintainer. And looks like I also lost now interest in this package.

Comment 7 Jens Petersen 2009-02-05 08:44:05 UTC
Rahul, could you apply the above suggested changes please to keep the review moving?

Comment 8 Parag Nemade 2010-05-13 10:12:37 UTC
Currently, I have modified spec file to http://paragn.fedorapeople.org/fedora-work/SPECS/ISO8859-2-fonts.spec

Comment 9 Akira TAGOH 2010-05-13 12:24:32 UTC
Created attachment 413737 [details]
build.log

mock rebuild failed:
RPM build errors:
    File must begin with "/": %{_fontbasedir}ISO8859-2
    File must begin with "/": %{_fontbasedir}ISO8859-2/misc
    File must begin with "/": %{_fontbasedir}ISO8859-2/misc/*.gz
    File must begin with "/": %{_fontbasedir}ISO8859-2/misc/fonts.alias
    File must begin with "/": %{_fontbasedir}ISO8859-2/misc/fonts.dir

I guess you need to add BuildRequires: fontpackages-devel or define own _fontbasedir to get it fixed.

Comment 10 Parag Nemade 2010-05-14 03:33:40 UTC
updated package
SPEC:- http://paragn.fedorapeople.org/fedora-work/SPECS/ISO8859-2-fonts.spec
SRPM:- http://paragn.fedorapeople.org/fedora-work/SRPMS/ISO8859-2-fonts-1.0-23.fc13.src.rpm

I think there can be many changes happen to spec so I will not bump the release each time. If it looks confusing please tell me and will then provided bumped SPEC and SRPM.

Comment 11 Akira TAGOH 2010-05-14 06:08:33 UTC
You'd better using _fontdir instead of the own fontdir defined in the spec. otherwise it would ends up to put files under the unexpected path such as /usr/share/fontsISO8859-2.

Comment 14 Akira TAGOH 2010-05-14 07:20:20 UTC
rpmlint reported:
ISO8859-2-100dpi-fonts.noarch: E: file-in-usr-marked-as-conffile /usr/share/fonts/ISO8859-2/100dpi/fonts.alias
ISO8859-2-75dpi-fonts.noarch: E: file-in-usr-marked-as-conffile /usr/share/fonts/ISO8859-2/75dpi/fonts.alias
ISO8859-2-fonts.noarch: E: file-in-usr-marked-as-conffile /usr/share/fonts/ISO8859-2/misc/fonts.alias
ISO8859-2-fonts.src:222: W: macro-in-%changelog %{_fontbasedir}
ISO8859-2-fonts.src:168: W: mixed-use-of-spaces-and-tabs (spaces: line 168, tab: line 63)

Aside from that, please be aware of %{_fontbasedir}%{fontname} nearly equal to %{_fontdir}. so %{_fontdir}%{fontname} in %post script is wrong.

Comment 16 Akira TAGOH 2010-05-17 03:33:51 UTC
Sorry, one more fix is required. the package doesn't own /usr/share/fonts/ISO8859-2

Comment 18 Akira TAGOH 2010-05-17 08:15:26 UTC
Review results:
+ rpmlint result:
  ISO8859-2-100dpi-fonts.noarch: W: spelling-error Summary(en_US) dpi -> dip, pi, dpt
  ISO8859-2-100dpi-fonts.noarch: W: spelling-error %description -l en_US dpi -> dip, pi, dpt
  ISO8859-2-100dpi-fonts.noarch: W: no-url-tag
  ISO8859-2-100dpi-fonts.noarch: W: no-documentation
  ISO8859-2-75dpi-fonts.noarch: W: spelling-error Summary(en_US) dpi -> dip, pi, dpt
  ISO8859-2-75dpi-fonts.noarch: W: spelling-error %description -l en_US dpi -> dip, pi, dpt
  ISO8859-2-75dpi-fonts.noarch: W: no-url-tag
  ISO8859-2-75dpi-fonts.noarch: W: no-documentation
  ISO8859-2-fonts.src: W: no-url-tag
  ISO8859-2-fonts.src: W: invalid-url Source0: ISO8859-2-bdf.tar.gz
  ISO8859-2-fonts-common.noarch: W: no-url-tag
  ISO8859-2-misc-fonts.noarch: W: no-url-tag
  ISO8859-2-misc-fonts.noarch: W: no-documentation
  5 packages and 0 specfiles checked; 0 errors, 13 warnings.

+ the package met the Packaging Naming Guidelines.
+ the spec file name matches the base package %{name}.
+ the package met the Packaging Guidelines.
+ the license is OSS-compatible.
+ License tag matches the actual license.
_ no license file provided by upstream.
+ the spec file is written in American English.
+ the spec file is legible.
_ according to the comment in the spec file, the upstream link is dead.
+ the package is buildable on mock.
+ the package provides noarch only.
+ the package has the certain BuildRequires.
_ no locales files provided.
_ no shared libraries provided.
+ the package owns all directories in the package without duplicates.
+ no duplicates in %files.
+ files in the package has certain permissions.
+ the package consistently use macros.
+ the package contains permissable content.
_ no large documentation files provided.
+ %doc contains the release notes only.
_ no header files provided.
_ no static libraries provided.
_ no desktop files provided.
+ all filenames in rpm is valid UTF-8.

APPROVED.

Comment 20 Parag Nemade 2010-05-18 05:32:22 UTC
New Package CVS Request
=======================
Package Name: iso8859-2-fonts
Short Description: Central European language fonts for the X Window System
Owners: pnemade
Branches: F-13
InitialCC: i18n-team, fonts-sig

Comment 21 Huzaifa S. Sidhpurwala 2010-05-18 06:24:39 UTC
cvs done


Note You need to log in before you can comment on or make changes to this bug.